Đến nội dung


Hình ảnh
- - - - -

Sua Lisp : Chon Them Đối Tượng Pl


  • Please log in to reply
7 replies to this topic

#1 hung1608

hung1608

    biết lệnh rotate

  • Members
  • PipPipPip
  • 134 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 13 April 2016 - 12:20 AM

 Lisp này của mình chỉ chọn được đối tượng là Line, bạn nào sủa hộ để nó chọn thêm được đối tượng là PL giúp mình cái.

;; free lisp from cadviet.com
;;; this lisp was downloaded from http://www.cadviet.c...xoay-o-n-th-ng/
(defun c:9 ( / cmd ss ename info dxf10 dxf11)
(setq cmd (getvar 'cmdecho))
(setvar 'cmdecho 0)
(prompt "\nChon (cac) LINE,POLYLINE muon xoay 180 do !")
(setq ss (ssget '((0 . "LINE"))))
(setq ss (ssget '((0 . "POLYLINE"))))
(if ss
(repeat (sslength ss)
(setq info (entget (setq ename (ssname ss 0)))
 dxf10 (cdr (assoc 10 info))
 dxf11 (cdr (assoc 11 info))
 info (subst (cons 10 dxf11) (assoc 10 info) info)
 info (subst (cons 11 dxf10) (assoc 11 info) info)
)
(entmod info)
(ssdel ename ss)
)
(alert "\n*** Khong chon duoc thang nao ca ^|^ ***")
)
(setvar 'cmdecho cmd)
(princ)
)

  • 1

#2 hung1608

hung1608

    biết lệnh rotate

  • Members
  • PipPipPip
  • 134 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 13 April 2016 - 12:29 AM

http://www.cadviet.c...i_tam__9__1.lsp


  • 1

#3 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 13 April 2016 - 10:35 AM

Để chọn được cả line và pline thì thay

(setq ss (ssget '((0 . "LINE"))))
(setq ss (ssget '((0 . "POLYLINE"))))

thành

(setq ss (ssget '((0 . "*LINE"))))

Còn chạy được hay ko thì là chuyện khác nhé
 


  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#4 hung1608

hung1608

    biết lệnh rotate

  • Members
  • PipPipPip
  • 134 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 13 April 2016 - 10:43 PM

Để chọn được cả line và pline thì thay

(setq ss (ssget '((0 . "LINE"))))
(setq ss (ssget '((0 . "POLYLINE"))))

thành

(setq ss (ssget '((0 . "*LINE"))))

Còn chạy được hay ko thì là chuyện khác nhé
 

không chạy bạn ah, nếu được bạn sửa luôn giúp minh đi


  • 0

#5 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 14 April 2016 - 10:01 AM

Người viết lisp trên không cho chọn pl là vì thế chứ ko phải họ ko biết chọn pl.

Nếu mục đích của bạn là làm cho linetype đúng chiều mong muốn thì bạn tìm lisp đảo chiều pl có trên cadviet mà dùng.


  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#6 hung1608

hung1608

    biết lệnh rotate

  • Members
  • PipPipPip
  • 134 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 14 April 2016 - 11:32 PM

Bạn nào sửa giúp mình lisp này có tác dụng vơi đường PL cái


  • 1

#7 tien2005

tien2005

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 257 Bài viết
Điểm đánh giá: 94 (tàm tạm)

Đã gửi 14 April 2016 - 11:45 PM

Bạn nào sửa giúp mình lisp này có tác dụng vơi đường PL cái

tại sao phải dùng lisp. Dùng lệnh PEDIT rồi chọn option Reverse để đổi chiều đường pline


  • 1

#8 hung1608

hung1608

    biết lệnh rotate

  • Members
  • PipPipPip
  • 134 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 15 April 2016 - 11:19 AM

tại sao phải dùng lisp. Dùng lệnh PEDIT rồi chọn option Reverse để đổi chiều đường pline

Thanks bạn nhiều


  • 1